STANDARD_DATASET = {
    'Basic': {
        'raster': r'https://api.maptiler.com/maps/basic/256/tiles.json',
        'vector': r'https://api.maptiler.com/maps/basic/style.json',
        'customize_url': r'https://maptiler.link/qgisbasic'
    },
    'Bright': {
        'raster': r'https://api.maptiler.com/maps/bright/256/tiles.json',
        'vector': r'https://api.maptiler.com/maps/bright/style.json',
        'customize_url': r'https://maptiler.link/qgisbright'
    },
    'Cadastre': {
        'raster': r'https://api.maptiler.com/maps/cadastre/256/tiles.json',
        'vector': r'https://api.maptiler.com/maps/cadastre/style.json'
    },
    'Cadastre Satellite': {
        'raster': r'https://api.maptiler.com/maps/cadastre-satellite/256/tiles.json',
        'vector': r'https://api.maptiler.com/maps/cadastre-satellite/style.json'
    },
    'Dark Matter': {
        'raster': r'https://api.maptiler.com/maps/darkmatter/256/tiles.json',
        'vector': r'https://api.maptiler.com/maps/darkmatter/style.json'
    },
    'Ocean RGB': {
        'raster-dem': r'https://api.maptiler.com/tiles/ocean-rgb/tiles.json'
    },
    'OpenStreetMap': {
        'raster': r'https://api.maptiler.com/maps/openstreetmap/256/tiles.json',
        'vector': r'https://api.maptiler.com/maps/openstreetmap/style.json'
    },
    'Outdoor': {
        'raster': r'https://api.maptiler.com/maps/outdoor/256/tiles.json',
        'vector': r'https://api.maptiler.com/maps/outdoor/style.json',
        'customize_url': r'https://maptiler.link/qgisoutdoor'
    },
    'Pastel': {
        'raster': r'https://api.maptiler.com/maps/pastel/256/tiles.json',
        'vector': r'https://api.maptiler.com/maps/pastel/style.json',
        'customize_url': r'https://maptiler.link/qgis-pastel'
    },
    'Positron': {
        'raster': r'https://api.maptiler.com/maps/positron/256/tiles.json',
        'vector': r'https://api.maptiler.com/maps/positron/style.json',
    },
    'Satellite': {
        'raster': r'https://api.maptiler.com/tiles/satellite-v2/tiles.json'
    },
    'Satellite Hybrid': {
        'raster': r'https://api.maptiler.com/maps/hybrid/256/tiles.json',
        'vector': r'https://api.maptiler.com/maps/hybrid/style.json',
        'customize_url': r'https://maptiler.link/qgishybrid'
    },
    'Streets': {
        'raster': r'https://api.maptiler.com/maps/streets/256/tiles.json',
        'vector': r'https://api.maptiler.com/maps/streets/style.json',
        'customize_url': r'https://maptiler.link/qgisstreets'
    },
    'Terrain': {
        'terrain-group': [
            r'https://api.maptiler.com/tiles/terrain-rgb/tiles.json',
            r'https://api.maptiler.com/tiles/ocean-rgb/tiles.json'
        ]
    },
    'Terrain RGB': {
        'raster-dem': r'https://api.maptiler.com/tiles/terrain-rgb/tiles.json'
    },
    'Toner': {
        'raster': r'https://api.maptiler.com/maps/toner/256/tiles.json',
        'vector': r'https://api.maptiler.com/maps/toner/style.json',
        'customize_url': r'https://maptiler.link/qgistoner'
    },
    'Topo': {
        'raster': r'https://api.maptiler.com/maps/topo/256/tiles.json',
        'vector': r'https://api.maptiler.com/maps/topo/style.json',
        'customize_url': r'https://maptiler.link/qgistopo'
    },
    'Topographique': {
        'raster': r'https://api.maptiler.com/maps/topographique/256/tiles.json',
        'vector': r'https://api.maptiler.com/maps/topographique/style.json',
        'customize_url': r'https://maptiler.link/qgistopographique'
    },
    'Voyager': {
        'raster': r'https://api.maptiler.com/maps/voyager/256/tiles.json',
        'vector': r'https://api.maptiler.com/maps/voyager/style.json',
        'customize_url': r'https://maptiler.link/qgisvoyager'
    },
    'Winter': {
        'raster': r'https://api.maptiler.com/maps/winter/256/tiles.json',
        'vector': r'https://api.maptiler.com/maps/winter/style.json'
    }
}

LOCAL_JP_DATASET = {
    'JP MIERUNE Streets': {
        'raster': r'https://api.maptiler.com/maps/jp-mierune-streets/256/tiles.json',
        'vector': r'https://api.maptiler.com/maps/jp-mierune-streets/style.json'
    },
    'JP MIERUNE Dark': {
        'raster': r'https://api.maptiler.com/maps/jp-mierune-dark/256/tiles.json',
        'vector': r'https://api.maptiler.com/maps/jp-mierune-dark/style.json'
    },
    'JP MIERUNE Gray': {
        'raster': r'https://api.maptiler.com/maps/jp-mierune-gray/256/tiles.json',
        'vector': r'https://api.maptiler.com/maps/jp-mierune-gray/style.json'
    }
}

LOCAL_NL_DATASET = {
    'NL Cartiqo Dark': {
        'raster': r'https://api.maptiler.com/maps/nl-cartiqo-dark/256/tiles.json',
        'vector': r'https://api.maptiler.com/maps/nl-cartiqo-dark/style.json'
    },
    'NL Cartiqo Light': {
        'raster': r'https://api.maptiler.com/maps/nl-cartiqo-light/256/tiles.json',
        'vector': r'https://api.maptiler.com/maps/nl-cartiqo-light/style.json'
    },
    'NL Cartiqo Topo': {
        'raster': r'https://api.maptiler.com/maps/nl-cartiqo-topo/256/tiles.json',
        'vector': r'https://api.maptiler.com/maps/nl-cartiqo-topo/style.json'
    }
}

LOCAL_UK_DATASET = {
    'UK OS Open Zoomstack Light': {
        'raster': r'https://api.maptiler.com/maps/uk-openzoomstack-light/256/tiles.json',
        'vector': r'https://api.maptiler.com/maps/uk-openzoomstack-light/style.json',
        'customize_url': r'https://maptiler.link/qgislight'
    },
    'UK OS Open Zoomstack Night': {
        'raster': r'https://api.maptiler.com/maps/uk-openzoomstack-night/256/tiles.json',
        'vector': r'https://api.maptiler.com/maps/uk-openzoomstack-night/style.json',
        'customize_url': r'https://maptiler.link/qgisosnight'
    },
    'UK OS Open Zoomstack Outdoor': {
        'raster': r'https://api.maptiler.com/maps/uk-openzoomstack-outdoor/256/tiles.json',
        'vector': r'https://api.maptiler.com/maps/uk-openzoomstack-outdoor/style.json',
        'customize_url': r'https://maptiler.link/qgisosoutdoor'
    },
    'UK OS Open Zoomstack Road': {
        'raster': r'https://api.maptiler.com/maps/uk-openzoomstack-road/256/tiles.json',
        'vector': r'https://api.maptiler.com/maps/uk-openzoomstack-road/style.json',
        'customize_url': r'https://maptiler.link/qgisosroad'
    }
}
